## flatpak-builder 1.4.4

=== debian/changelog ===
flatpak-builder (1.4.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 04 Oct 2024 18:53:02 +0200

flatpak-builder (1.4.4-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Jul 2024 17:45:53 +0100

=== debian/control ===
Source: flatpak-builder
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 appstream (>= 0.15.0),
 appstream-compose (>= 0.15.0),
 attr <!nocheck>,
 ca-certificates <!nocheck>,
 debhelper-compat (= 13),
 debugedit (>= 1:5.0),
 desktop-file-utils <!nocheck>,
 dh-exec,
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 flatpak (>= 1.12.4),
 fuse3 <!nocheck>,
 git <!nocheck>,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libarchive-dev,
 libattr1-dev,
 libcap-dev,
 libcurl4-gnutls-dev,
 libdw-dev,
 libelf-dev,
 libflatpak-dev (>= 1.12.4),
 libglib2.0-dev (>= 2.66),
 libjson-glib-dev,
 libostree-dev,
 libxml2-dev,
 libxml2-utils <!nocheck>,
 libyaml-dev,
 meson (>= 0.56.2),
 ostree <!nocheck>,
 procps,
 python3,
 shared-mime-info <!nocheck>,
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
Rules-Requires-Root: no

Package: flatpak-builder
Architecture: linux-any
Depends:
 appstream (>= 0.15.0),
 appstream-compose (>= 0.15.0),
 debugedit (>= 1:5.0),
 gir1.2-flatpak-1.0 (>= 1.12.4),
 flatpak (>= 1.12.4),
 fuse3,
 ostree,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 elfutils,
 git,
 patch,
 unzip,
 xz-utils,
 zstd,
Suggests:
 brz,
 p7zip-full,
 subversion,
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-builder-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak-builder (= ${binary:Version}),
 hicolor-icon-theme,
 git,
 gtk-update-icon-cache,
 libxml2-utils,
 make,
 ostree,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 python2,
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


binaries := $(shell dh_listpackages)
%:
	dh $@ --buildsystem=meson

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += -Ddocs=disabled
else
configure_options += -Ddocs=enabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dfuse=3 \
		-Dinstalled_tests=true \
		-Dtests=true \
		-Dyaml=enabled \
		$(configure_options)

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

## flatpak-builder 1.4.5

=== debian/changelog ===
flatpak-builder (1.4.5-1) unstable; urgency=medium

  * New upstream stable release
  * Recommend libarchive-tools (for bsdunzip) instead of Info-Zip unzip.
    Upstream has changed the tool they use to unpack zip files in response
    to security concerns about Info-Zip unzip.
  * d/watch: Convert to v5 format
  * d/salsa-ci.yml: Use recommended recipe
  * d/p/tests-Fix-incorrect-paths-for-test-files.patch:
    Add a post-release bugfix from upstream
  * d/p/tests-Add-a-way-to-skip-the-test-involving-mirroring-scre.patch,
    d/tests: Mark an Internet-dependent test as needs-internet and flaky
  * d/copyright: Don't quote the FSF's former postal address here
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 11:15:43 +0100

flatpak-builder (1.4.4-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/upstream/metadata: Canonicalize sort order of keys
  * d/upstream/metadata: Add Security-Contact field

  [ Felix Geyer ]
  * d/control: Suggest 7zip instead of p7zip-full (Closes: #1063573)
  * Clean up unused python2 test script
  * Stop trying to run the test suite during package build
  * Add myself as uploader

 -- Felix Geyer <fgeyer@debian.org>  Mon, 03 Mar 2025 18:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,18 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Felix Geyer <fgeyer@debian.org>,
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  appstream (>= 0.15.0),
  appstream-compose (>= 0.15.0),
- attr <!nocheck>,
- ca-certificates <!nocheck>,
  debhelper-compat (= 13),
  debugedit (>= 1:5.0),
- desktop-file-utils <!nocheck>,
  dh-exec,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  flatpak (>= 1.12.4),
- fuse3 <!nocheck>,
- git <!nocheck>,
- gtk-update-icon-cache <!nocheck>,
- hicolor-icon-theme <!nocheck>,
  libarchive-dev,
  libattr1-dev,
  libcap-dev,
@@ -32,16 +26,13 @@
  libjson-glib-dev,
  libostree-dev,
  libxml2-dev,
- libxml2-utils <!nocheck>,
  libyaml-dev,
  meson (>= 0.56.2),
- ostree <!nocheck>,
  procps,
  python3,
- shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
@@ -63,13 +54,13 @@
  binutils,
  elfutils,
  git,
+ libarchive-tools,
  patch,
- unzip,
  xz-utils,
  zstd,
 Suggests:
  brz,
- p7zip-full,
+ 7zip,
  subversion,
 Description: Flatpak application building helper
  Flatpak installs, manages and runs sandboxed desktop application bundles.

=== debian/tests/control ===
Test-Command: env FLATPAK_BUILDER_TESTS_OFFLINE=1 debian/tests/gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,
Features: test-name=gnome-desktop-testing-offline

Tests: gnome-desktop-testing
Restrictions: flaky, isolation-machine, needs-internet
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,

## flatpak-builder 1.4.6

=== meson_options.txt ===
option(
  'yaml',
  type: 'feature',
  value: 'enabled',
  description: 'Whether to support YAML manifests'
)
option(
  'docs',
  type: 'feature',
  value: 'auto',
  description: 'Whether to build the DocBook documentation and man pages'
)
option(
  'installed_tests',
  type : 'boolean',
  description : 'install automated tests',
  value : false,
)
option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether to build and run unit tests'
)
option(
  'fuse',
  type: 'combo',
  choices: ['2', '3', 'compatible'],
  value: 'compatible',
  description: 'Target a specific version of FUSE for best performance or support multiple versions'
)

=== subprojects/libglnx/meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.0-or-later

option(
  'tests',
  type : 'boolean',
  description : 'build and run unit tests',
  value : 'true',
)

=== debian/changelog ===
flatpak-builder (1.4.6-2) unstable; urgency=medium

  * d/control: Prefer libcurl4-openssl-dev, matching libostree and Flatpak

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2025 11:01:18 +0100

flatpak-builder (1.4.6-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches, applied or fixed differently upstream
  * Revert separation of tests into online/offline
  * Add Suggests on git-lfs
  * Reformat packaging files using debputy
  * d/copyright: Update
  * Add a Lintian override for a non-executable script included in test data

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 19:52:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
 endif
 
+# running the tests as during the build is not viable due to the dependencies (e.g. flatpak, dbus session)
+# instead they are run as a autopkgtest
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	debian/test.sh
-endif

=== debian/watch ===
Version: 5

# Upstream releases official `make dist` tarballs, so we use
# those in preference to Github's autogenerated `git archive`
Source: https://github.com/flatpak/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?@ANY_VERSION@
Download-Url-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//

## flatpak-builder 1.4.7

=== debian/changelog ===
flatpak-builder (1.4.7-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Oct 2025 23:37:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: flatpak-builder
+X-Style: black
 Section: devel
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
@@ -7,18 +8,18 @@
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec,
  appstream (>= 0.15.0),
  appstream-compose (>= 0.15.0),
- debhelper-compat (= 13),
  debugedit (>= 1:5.0),
- dh-exec,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  flatpak (>= 1.12.4),
  libarchive-dev,
  libattr1-dev,
  libcap-dev,
- libcurl4-gnutls-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libdw-dev,
  libelf-dev,
  libflatpak-dev (>= 1.12.4),
@@ -44,9 +45,9 @@
  appstream (>= 0.15.0),
  appstream-compose (>= 0.15.0),
  debugedit (>= 1:5.0),
- gir1.2-flatpak-1.0 (>= 1.12.4),
  flatpak (>= 1.12.4),
  fuse3,
+ gir1.2-flatpak-1.0 (>= 1.12.4),
  ostree,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -59,8 +60,9 @@
  xz-utils,
  zstd,
 Suggests:
+ 7zip,
  brz,
- 7zip,
+ git-lfs,
  subversion,
 Description: Flatpak application building helper
  Flatpak installs, manages and runs sandboxed desktop application bundles.
@@ -77,9 +79,9 @@
  ca-certificates,
  desktop-file-utils,
  flatpak-builder (= ${binary:Version}),
- hicolor-icon-theme,
  git,
  gtk-update-icon-cache,
+ hicolor-icon-theme,
  libxml2-utils,
  make,
  ostree,

=== debian/tests/control ===
Tests:
 gnome-desktop-testing,
Restrictions:
 isolation-machine,
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,
